Bug 242647 - /etc/sysconfig/i18n
/etc/sysconfig/i18n
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-05 05:41 EDT by Florian La Roche
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 13:10:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2007-06-05 05:41:06 EDT
Description of problem:

Changing the /etc/sysconfig/i18n file to stay with en_US.UTF-8 for
system accounts and some other settings for normal accounts would
allow servers and startup code to stay with en_US, but still have
normal users with a local language.
Right now this requires "~/.i18n" files to exist for all users.

regards,

Florian La Roche



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2007-06-25 13:10:59 EDT
It would also mean that users in other countries that _don't_ speak English
would be confronted with a lot of English garbage on startup.  Which makes their
user experience suck.
Comment 2 Florian La Roche 2007-06-25 13:51:22 EDT
You mis-understood, this should be as additional option, not the only
option offered.

regards,

Florian La Roche
Comment 3 Jeremy Katz 2007-06-25 13:54:07 EDT
What?  So there should be a
  "Show system messages in an unintelligible language"
checkbox?  That's crazy.  If there's a strong desire to add the functionality in
initscripts, etc as a power-user type thing then feel free to convince there.  I
don't think that it's something that really makes sense to expose in the installer.

Note You need to log in before you can comment on or make changes to this bug.